%module KPanner


%{
#include <knewpanner.h>
%}


%include Types.i


class KNewPanner : public QWidget
{
public:

    enum Orientation { Vertical, Horizontal };
    enum Units { Percent, Absolute };

    KNewPanner(QWidget *parent= 0, const char *name= 0,
		 Orientation orient= Vertical, Units units= Percent, int pos= 50);
    virtual ~KNewPanner();

  void activate(QWidget *c0, QWidget *c1);
  void deactivate();

  void setLabels(const char *text0, const char *text1);
  void showLabels(bool);

  int separatorPos();
  void setSeparatorPos(int pos);
  int absSeparatorPos();
  void setAbsSeparatorPos(int pos, bool do_resize = true);

  Units units();
  void setUnits(Units);
};





