%module Cursor


%include Types.i
%include Constants.i

%import Baseobject.i
%import Bitmap.i


class QCursor : public BaseObject
{
public:
    QCursor();

%name(QCursorWithShape) QCursor( int shapes ); 

%name(QCursorBitmap) QCursor( const QBitmap &bitmap, const QBitmap &mask, int hotX=-1, int hotY=-1);
%name(QCursorCopy)    QCursor( const QCursor & );

   ~QCursor();
    int		  shape()   const;
    void	  setShape( int );

    const QBitmap *bitmap() const;
    const QBitmap *mask()   const;
    QPoint	  hotSpot() const;

    static QPoint pos();
    static void	  setPos( const QPoint & );
};
