%module Object

%{
#include "Object.h"
%}


%import Baseobject.i
%include Types.i


class Object : public BaseObject
{
  public:

    Object(Object *parent, const char *name) ;
    ~Object();

//    bool event(QEvent *);
//    bool eventFilter(Object *, QEvent *);

    const char *className();

    const char *name();
    void setName(const char *name);
    bool isWidgetType();
    bool highPriority();

    bool signalsBlocked();
    void blockSignals(bool b);

    const QObjectList *children();
    QObjectList	      *queryList( const char *inheritsClass = 0,
				  const char *objName = 0,
				  bool regexpMatch = TRUE,
				  bool recursiveSearch = TRUE );

    void	insertChild(Object * );
    void	removeChild(Object * );

//    void	installEventFilter( const Object * );
//    void	removeEventFilter( const Object * );

    void	dumpObjectTree();
    void	dumpObjectInfo();

    Object	*parent();

/*
  public slots:
 
    void destroyed();
*/
};

