%module Progressdialog


%{
#include "Object.h"
#include "Progressdialog.h"
%}


%include Types.i
%include Constants.i
%import Object.i
%import Widget.i


class ProgressDialog : public QWidget
{
public:
    ProgressDialog( const char *labelText, const char *cancelButtonText,
		     int totalSteps, QWidget *parent=0, const char *name=0,
		     bool modal=FALSE, int f=0 );
   ~ProgressDialog();

    void	setLabel(QLabel * );
    void	setCancelButton(PushButton * );
    void	setBar(QProgressBar * );

    bool	wasCancelled() const;

    int		totalSteps() const;
    int		progress()   const;

    void	cancel();
    void	reset();
    void	setTotalSteps( int totalSteps );
    void	setProgress( int progress );
    void	setLabelText( const char * );
    void	setCancelButtonText( const char * );

/*
signals:
    void	cancelled();
*/

};
